Un problema recurrente en Debian debido a su política de paquetes es que ha veces algún programa descargado no pueda cumplir dependencias porque los paquetes instalados y los disponibles en la rama stable son de versiones anteriores a las necesarias para el software que estamos intentando instalar.

Una alternativa es la de mezclar mas de una rama en una misma instalación, ejemplo tener las ramas stable y testing.

Hay que tener cuidado de implementar esto, si bien es altamente peligroso teniendo de cuidado y saber que estamos haciendo no debería de haber problemas, sin embargo si no estamos familiarizados con los paquetes y sus consecuencias es mejor no andar jugando con esto, porque es una receta para el desastre.

Editamos el archivo /etc/apt/sources.list

#Stable
deb http://ftp.us.debian.org/debian stable main non-free contrib
deb-src http://ftp.us.debian.org/debian stable main non-free contrib

#Testing
deb http://ftp.us.debian.org/debian testing main non-free contrib
deb-src http://ftp.us.debian.org/debian testing main non-free contrib

Creamos el siguiente fichero:

sudo nano /etc/apt/apt.conf

y agregamos

APT::Default-Release "stable";
APT::Cache-Limit 550000000;
Apt::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";

Creamos el siguiente fichero:

sudo nano /etc/apt/preferences

y agregamos


Package: *
Pin: release a=stable
Pin-Priority: 900

Package: *
Pin: release a=testing
Pin-Priority: -10

Ahora hacemos un


sudo apt-get update

Por defecto cuando usemos apt o aptitude se usara la rama stable, si necesitamos instalar o actualizar algo de la rama testing hacemos.

sudo apt-get install -t testing nombre-del-paquete

Aquí solo agregamos la rama testing, pero podemos hacer los mismo para las ramas unstable y experimental.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *